package org.gnu.glade;

import java.lang.reflect.Method;

import org.gnu.gtk.event.MenuItemEvent;
import org.gnu.gtk.event.MenuItemListener;

/**
 * MenuItemListener delegate class.
 *
 * @author Tom Ball
 */
class MenuItemDelegate extends ListenerDelegate implements MenuItemListener {

	public MenuItemDelegate(String signal, Object owner, Method handler, Object target) throws NoSuchMethodException {
		super(signal, owner, handler, target);
	}

	public void menuItemEvent(MenuItemEvent event) {
		fireEvent(event);
	}
}
